tests/test-symlinks
changeset 2115 fd77b7ee4aac
parent 1620 6c61646fee5e
child 3750 0f550b87deb8
--- a/tests/test-symlinks	Fri Apr 21 15:47:27 2006 -0700
+++ b/tests/test-symlinks	Fri Apr 21 16:09:43 2006 -0700
@@ -40,3 +40,18 @@
 # it should show a.c, dir/a.o and dir/b.o deleted
 hg status
 hg status a.c
+
+echo '# test absolute path through symlink outside repo'
+cd ..
+p=`pwd`
+hg init x
+ln -s x y
+cd x
+touch f
+hg add f
+hg status $p/y/f
+
+echo '# try symlink outside repo to file inside'
+ln -s x/f ../z
+# this should fail
+hg status ../z && { echo hg mistakenly exited with status 0; exit 1; } || :